Skip to content
English

Get list of mailing lists

GET
/domains/{domainID}/mlists
curl --request GET \
--url 'https://example.com/api/v1/domains/1/mlists?limit=50&offset=0' \
--cookie grommunioAuthJwt=<grommunioAuthJwt>
domainID
required
integer

ID of the domain

level
integer

Set detail level of return value. Usually ranges from 0 to 2.

limit
integer
default: 50

Maximum number of results to return

offset
integer
0

Index of the first element to return

match
string

Match by substring

matchFields
string

Comma separated list of attributes to restrict matching to.

sort
string
/^(ID|listname|listType|domainID|listPrivilege)(,(a|de)sc)?$/

Sort by attribute. Can be given multiple times.

ID
Array<integer>

Filter one or more IDs

listname
string

Filter by list name

listType
Array<integer>

Filter by one or more list types

listPrivilege
Array<integer>

Filter by one or more list privilege types

List of MLists returned

Media typeapplication/json
object
data
Array<object>
object
ID

Unique ID of the object

integer
listname

Name or e-mail address of the list

string
listType

Type of mailing list (0=Normal, 2=Domain)

integer
Allowed values: 0 1 2 3
listPrivilege

Sender privilege of list (0=All, 1=Internal, 2=Domain, 3=Specific, 4=Outgoing)

integer
Allowed values: 0 1 2 3 4
associations

Recipients, only available if listType=0

Array<string>
specifieds

Senders, only available if listPrivilege=3

Array<string>
displayName

Display name property of the associated user object

string
hidden

Attributehidde_gromox property of the associated user object

integer
user

ID of the associated user

integer
Example
{
"data": [
{
"listType": 0,
"listPrivilege": 0
}
]
}

Validation of input parameters failed

Media typeapplication/json
object
message
string
errors

List of errors encountered during validation

Array<string>
Examplegenerated
{
"message": "example",
"errors": [
"example"
]
}

The requested resource could not be found

Media typeapplication/json
object
message
string
Examplegenerated
{
"message": "example"
}

An error occurred while processing the request

Media typeapplication/json
object
message

String representation of the exception

string
Examplegenerated
{
"message": "example"
}

The database query failed

Media typeapplication/json
object
message

Description of the error

string
Examplegenerated
{
"message": "example"
}